Index: branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cc
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cc	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cc	(revision 731)
@@ -1,5 +1,5 @@
 -c
 -finfo
--dir "C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug"
+-dir "C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug"
 -M82
-"C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\uart0.c"
+"C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\uart0.c"
Index: branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.sni
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/AMAR/sp4c1/uart0/uart0/Debug/ncrt0.lst
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/Debug/ncrt0.lst	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/Debug/ncrt0.lst	(revision 731)
@@ -1,4 +1,4 @@
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 001
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 001
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -64,7 +64,7 @@
     60                                          ;
     61                                          ;Format:
     62                                          ;	SPECIAL	number
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 002
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 002
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -130,7 +130,7 @@
    122                                          ;	.call	_bcopy,G
    123                                          ;	jsr.a	_bcopy
    124                                          ;	.endm
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 003
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 003
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -196,7 +196,7 @@
    184  00005F  02                        M Z   	mov.b	#00H, R0L
    185  000060  B0F100000000r             M     	mov.l	#bss_MON1_SE_top, A1
    186  000066  996F0000r                 M     	mov.w	#sizeof bss_MON1_SE , R3
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 004
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 004
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -262,7 +262,7 @@
    246  0000E1  02                        M Z   	mov.b	#00H, R0L
    247  0000E2  B0F100000000r             M     	mov.l	#bss_MON3_E_top, A1
    248  0000E8  996F0000r                 M     	mov.w	#sizeof bss_MON3_E , R3
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 005
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 005
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -328,7 +328,7 @@
    308  000169  B0F100000000r             M     	mov.l	#data_NO_top ,A1
    309  00016F  996F0000r                 M     	mov.w	#sizeof data_NO , R3
    310  000173  B083                      M     	smovf.b
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 006
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 006
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -394,7 +394,7 @@
    370                                          	BCOPY	data_MON2_EI_top,data_MON2_E_top,data_MON2_E
    371  000217  B0B100000000r             M     	mov.l	#data_MON2_EI_top ,A0
    372  00021D  B0F100000000r             M     	mov.l	#data_MON2_E_top ,A1
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 007
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 007
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -460,7 +460,7 @@
    432  0002A3  B0F100000000r             M     	mov.l	#bss_FO_top, A1
    433  0002A9  996F0000r                 M     	mov.w	#sizeof bss_FO , R3
    434  0002AD  B803                      M     	sstr.b	
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 008
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 008
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -526,7 +526,7 @@
    494                                          ;
    495                                          ;	BCOPY	data_MON1_SOI_top,data_MON1_SO_top,data_MON1_SO
    496                                          ;	BCOPY	data_MON2_SOI_top,data_MON2_SO_top,data_MON2_SO
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 009
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 009
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
@@ -592,7 +592,7 @@
    556                                          ;---------------------------------------------------------------------
    557                                          	.glb	dummy_int
    558  0002E1                                  dummy_int:
-* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 09:20:51 2021  PAGE 010
+* M32C SERIES ASSEMBLER *  SOURCE LIST     Wed Jun 02 11:51:18 2021  PAGE 010
 
   SEQ.  LOC.    OBJ.                    0XMSDA  .*....*....SOURCE STATEMENT....8....*....9....*....0....*....1....*....2....*....3....*....4....*....5....*....6....*....7....*....8....*....9....*....0
 
Index: branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.map
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.map	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.map	(revision 731)
@@ -1,14 +1,14 @@
 ##########################################
 # (1) LINK INFORMATION                   #
 ##########################################
-c:\program files (x86)\renesas\hew\tools\renesas\nc308wa\v542r00\bin\ln308.exe @C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.m32cl
+c:\program files (x86)\renesas\hew\tools\renesas\nc308wa\v542r00\bin\ln308.exe @C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.m32cl
 
 # LINK FILE INFORMATION
-ncrt0 (C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\ncrt0.r30)
-	Jun  2 09:20:51 2021
+ncrt0 (C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\ncrt0.r30)
+	Jun  2 11:13:55 2021
 
-uart0 (C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.r30)
-	Jun  2 09:20:51 2021
+uart0 (C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.r30)
+	Jun  2 11:13:55 2021
 
 
 ##########################################
@@ -89,7 +89,7 @@
 interrupt                        REL CODE    FE0000 000000 2     ncrt0
                                  REL CODE    FE0000 0002E2       ncrt0
 program                          REL CODE    FE02E2 000000 2     ncrt0
-                                 REL CODE    FE02E2 000001 2     uart0
+                                 REL CODE    FE02E2 000023 2     uart0
 program_S                        ABS CODE    FF0000 000000       ncrt0
 vector                           ABS ROMDATA FFFD00 000100       ncrt0
 svector                          ABS ROMDATA FFFE00 000000       ncrt0
@@ -97,12 +97,13 @@
 # Total -------------------------------------------------------------------
                                      DATA          0000600(00001536) Byte(s)
                                      ROMDATA       0000124(00000292) Byte(s)
-                                     CODE          00002E3(00000739) Byte(s)
+                                     CODE          0000305(00000773) Byte(s)
 
 ##########################################
 # (3) GLOBAL LABEL INFORMATION           #
 ##########################################
-$exit              fe02df  _exit              fe02df  _main              fe02e2
+$exit              fe02df  $uart0_tx          fe02fe  _exit              fe02df
+_main              fe02e2  _uart0_init        fe02e4  _uart0_rx          fe0304
 dummy_int          fe02e1  start              fe0000  
 
 ##########################################
@@ -117,20 +118,20 @@
 ##########################################
 # (6) LOCAL LABEL INFORMATION            #
 ##########################################
-@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\ncrt0.r30 )
-@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.r30 )
+@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\ncrt0.r30 )
+@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.r30 )
 
 ##########################################
 # (7) LOCAL EQU SYMBOL INFORMATION       #
 ##########################################
-@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\ncrt0.r30 )
-@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.r30 )
+@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\ncrt0.r30 )
+@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.r30 )
 
 ##########################################
 # (8) LOCAL EQU BIT-SYMBOL INFORMATION   #
 ##########################################
-@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\ncrt0.r30 )
-@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.r30 )
+@ ncrt0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\ncrt0.r30 )
+@ uart0 ( C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.r30 )
 
 *** Mapping List ***
 
@@ -281,7 +282,7 @@
 interrupt
                                   00fe0000  00fe02e1       2e2   2
 program
-                                  00fe02e2  00fe02e2         1   2
+                                  00fe02e2  00fe0304        23   2
 program_S
                                   00ff0000  00ff0000         0   1
 vector
@@ -319,3 +320,10 @@
   _main
                                   00fe02e2         1   func ,g         0
 
+FILE=C:/Users/pdamar/Desktop/AMAR/sp4c1/uart0/uart0/uart0
+                                  00fe02e2  00fe0304        23
+  _uart0_init
+                                  00fe02e4        1a   func ,g         0
+  $uart0_tx
+                                  00fe02fe         6   func ,g         0
+
Index: branch/AMAR/sp4c1/uart0/uart0/Debug/ncrt0.r30
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cl
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cl	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/Debug/uart0.m32cl	(revision 731)
@@ -1,7 +1,7 @@
 -L "nc382lib"
 -G
 -MS
--O "C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.x30"
+-O "C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.x30"
 -M82
-"C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\ncrt0.r30"
-"C:\Users\pdamar\Desktop\AMAR\sp4c3\uart0\uart0\Debug\uart0.r30"
+"C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\ncrt0.r30"
+"C:\Users\pdamar\Desktop\AMAR\sp4c1\uart0\uart0\Debug\uart0.r30"
Index: branch/AMAR/sp4c1/uart0/uart0/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/SessionM32C_E8a_SYSTEM.ini	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/SessionM32C_E8a_SYSTEM.ini	(revision 731)
@@ -24,3 +24,5 @@
 Renesas Communications=USB interface,0,
 [Target]
 M32C E8a SYSTEM=Renesas Communications
+[USER_DATA]
+RESET=fe0000
Index: branch/AMAR/sp4c1/uart0/uart0/uart0.c
===================================================================
--- branch/AMAR/sp4c1/uart0/uart0/uart0.c	(revision 730)
+++ branch/AMAR/sp4c1/uart0/uart0/uart0.c	(revision 731)
@@ -8,8 +8,37 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
+#include "sfr32c87.h"
+#include "uart0.h"
+char c;
+void main (void)
+{
+int i=0;
+	uart_unit();	
+	while (1)
+	{
+for (i=0; i<26; i++)
+	{
+		uart0_tx();
+	}
+	}
 
-void main(void)
+}
+void uart0_init(void)
 {
+	u0mr=0x05;
+	u0brg=0x20;
+	u0c1=0x05;
+	u0c0=0x11;
+	pd6=0xF8;
+	ps0=0x08;   
+}
+void uart0_tx(char c)
+{
 	
 }
+char uart0_rx(void)
+{
+	
+}
+