Index: branch/aseck/sp4c12/uart0/Release/Release.hdp
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/aseck/sp4c12/uart0/Debug/Debug.hdp
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/aseck/sp4c12/uart0/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/aseck/sp4c12/uart0/SessionM32C_E8a_SYSTEM.hsf	(revision 747)
+++ branch/aseck/sp4c12/uart0/SessionM32C_E8a_SYSTEM.hsf	(revision 748)
@@ -22,7 +22,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
@@ -673,6 +675,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.03" 180 1600 -279 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_IO}uart0SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 180 1600 -279 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.50" 180 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 534 287 350 200 18 0 "" "0.0" 
@@ -698,7 +701,7 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/aseck/sp4c12/uart0/uart0.hwp
===================================================================
--- branch/aseck/sp4c12/uart0/uart0.hwp	(revision 747)
+++ branch/aseck/sp4c12/uart0/uart0.hwp	(revision 748)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"uart0" "D:\tp_sp4_seck\sp4c12\uart0\uart0" "D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"uart0" "D:\tp_sp4_seck\sp4c12\uart0" "D:\tp_sp4_seck\sp4c12\uart0\uart0.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug_M32C_Simulator" 
-"Release" "D:\tp_sp4_seck\sp4c12\uart0\uart0\Release" 
+"Debug" "D:\tp_sp4_seck\sp4c12\uart0\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4c12\uart0\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_seck\sp4c12\uart0\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_seck\sp4c12\uart0\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\ncrt0.a30" "User" "Assembly source file" 2 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" "User" "C source file" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" "User" "C source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\tp_sp4_seck\sp4c12\uart0\uart0\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4c12\uart0\uart0\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\tp_sp4_seck\sp4c12\uart0\uart0\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_seck\sp4c12\uart0\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4c12\uart0\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_seck\sp4c12\uart0\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0a4d0cee9b757d10" 2 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0a4d0cee9b757d10" 1 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" "0a4d0cee9b757d10" 1 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" "0a4d0cee9b757d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0a4d0cee9b757d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4c12\uart0\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0a4d0cee9b757d10" 2 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0a4d0cee9b757d10" 1 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" "0a4d0cee9b757d10" 1 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" "0a4d0cee9b757d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0a4d0cee9b757d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4c12\uart0\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0a4d0cee9b757d10" 2 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0a4d0cee9b757d10" 1 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" "0a4d0cee9b757d10" 1 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" "0a4d0cee9b757d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0a4d0cee9b757d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4c12\uart0\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0a4d0cee9b757d10" 2 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
+"D:\tp_sp4_seck\sp4c12\uart0\ncrt0.a30" "0a4d0cee9b757d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0a4d0cee9b757d10" 1 
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\uart0.c" "0a4d0cee9b757d10" 1 
+"D:\tp_sp4_seck\sp4c12\uart0\uart0.c" "0a4d0cee9b757d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0a4d0cee9b757d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\tp_sp4_seck\sp4c12\uart0\uart0\Release\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4c12\uart0\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/aseck/sp4c12/uart0/Debug_M32C_Simulator/Debug_M32C_Simulator.hdp
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: branch/aseck/sp4c12/uart0/uart0.nav
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream