Index: branch/lashermes/sp4c12/SP4c1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/lashermes/sp4c12/SP4c1/SessionM32C_E8a_SYSTEM.hsf	(revision 760)
+++ branch/lashermes/sp4c12/SP4c1/SessionM32C_E8a_SYSTEM.hsf	(revision 761)
@@ -45,7 +45,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000041" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -52,13 +52,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0324" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000006F2" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000081" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -75,10 +75,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "00000000000006F4" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -698,8 +698,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"D:\tp4_sp4_2021_lashermes\sp4c12\SP4C1\SP4C1.c" 
-"D:\tp4_sp4_2021_lashermes\sp4c12\SP4C1\ncrt0.a30" 
+"D:\tp4_sp4_2021_lashermes\sp4c12\SP4c1\SP4C1.c" 
+"D:\tp4_sp4_2021_lashermes\sp4c12\SP4c1\ncrt0.a30" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/lashermes/sp4c12/SP4c1/SP4c1.c
===================================================================
--- branch/lashermes/sp4c12/SP4c1/SP4c1.c	(revision 760)
+++ branch/lashermes/sp4c12/SP4c1/SP4c1.c	(revision 761)
@@ -15,7 +15,7 @@
 // initialisation du port serie
 void uart0_init (void)
 {
-	u0mr=0b01100101; // configuration UART mode 8bit data length, internal clock , parity disabled , TX RX not inverted
+	u0mr=0b00000101; // configuration UART mode 8bit data length, internal clock , parity disabled , TX RX not inverted
 	
 	// on n'utilise pas 
 	u0smr=0x00;
@@ -32,10 +32,10 @@
 	/// transmit bit operation enable and receive operation enable
 	u0c1=0x00;
 	
-	p6_0=0;
-	p6_1=0;
-	p6_2=0;
-	p6_3=1;
+	pd6_0=0;
+	pd6_1=0;
+	pd6_2=0;
+	pd6_3=1;
 	
 	ps0_0=0;
 	ps0_1=0;
@@ -49,29 +49,36 @@
 
 void uart0_tx(char c) // envoyer un caractere sur la liaison serie 
 {
-	 while (ti_u0c1 !=1) // le faire tant qu'on n'a pas de donnée dur le registre U0TB
-	{
-		 u0tb=c; //ecriture dans le registre de transmition
-	}
+	 while (ti_u0c1 !=1); // on attend que  le port serie soit libre 
+	 u0tb=c; //ecriture dans le registre de transmition
+	
 }
 
-char uart0_rx(void) // envoyer un caractere sur la liaison serie 
+char uart0_rx(void) // réception d’un caractère sur le port série
 {
-	 while (ti_u0c1 !=0) 
-	{
-		return u0rb;
-		 
-	}
+	 while (ri_u0c1 !=1); //attendre que le port serie soit libre 
+	 return u0rb;	
 }
 
-
-	
 void main(void)
 {
+	
+//	char c='A' // on lui dit de commancer par 'A'
+	int i;
 	uart0_init();
+	/*while(1) // emet en boucle le meme carac
+	{
+		for(i=0;i<26;i++) // pour i<26 lettres de l'aphabet donc pour ne pas depasser le Z 
+		{
+			carac='A'+i; // on incremente A de 1 pour passer a la lettre suivante 
+			uart0_tx(carac); // on affiche la nouvelle lettre a chaque fois 
+		}
+	}*/
 	
-	while(1) // emet en boucle le meme carac
+	while(1)
 	{
-		uart0_tx('A');
+		
+		
 	}
+	
 }