Index: branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.ini	(revision 816)
+++ branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.ini	(revision 817)
@@ -18,6 +18,8 @@
 PROCESSOR_MODE=0
 [COMMUNI]
 COMSPEED=8
+COMSPEED PROGRAM FLASH=8
+COMSPEED DATA FLASH=8
 [Driver Configuration]
 Renesas Communications=USB interface,0,
 [Target]
Index: branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.hsf	(revision 816)
+++ branch/mbaye/sp4c12/sp4c12/SessionM32C_E8a_SYSTEM.hsf	(revision 817)
@@ -22,7 +22,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
@@ -673,8 +675,9 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_IO}sp4c12SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.01" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "0.99" 180 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.34" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_IO}sp4c12SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.03" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "0.97" 180 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 683 371 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -686,22 +689,22 @@
 "{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000011_CPU}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 7 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 [WINDOW_POSITION_STATE_DATA_VD2]
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"M:\TpSP4a\mbaye\sp4c12\sp4c12\uart0.h" 
-"M:\TpSP4a\mbaye\sp4c12\sp4c12\uart0.c" 
+"M:\TpSP4a\mbaye\sp4c12\sp4c12\ncrt0.a30" 
 "M:\TpSP4a\mbaye\sp4c12\sp4c12\sp4c12.c" 
-"M:\TpSP4a\mbaye\sp4c12\sp4c12\ncrt0.a30" 
+"M:\TpSP4a\mbaye\sp4c12\sp4c12\rectrame.c" 
+"M:\TpSP4a\mbaye\sp4c12\sp4c12\rectrame.h" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/mbaye/sp4c12/sp4c12/uart0.c
===================================================================
--- branch/mbaye/sp4c12/sp4c12/uart0.c	(revision 816)
+++ branch/mbaye/sp4c12/sp4c12/uart0.c	(revision 817)
@@ -9,30 +9,4 @@
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
 
-void uart0_init(void)
-{
-	smd0_u0mr = 0b101;  /* Serial I/O mode select bit */
-	smd1_u0mr = 0b101;  /* Serial I/O mode select bit */
-	smd2_u0mr = 0b101;  /* Serial I/O mode select bit */
-	ckdir_u0mr = 0;     /* Internal/external clock select bit */
-	stps_u0mr = 0;      /* Stop bit length select bit */
-	prye_u0mr = 1;      /* Parity enable bit */
-	iopol_u0mr = 0;     /* TxD RxD I/O polarity switch bit */
-	u0brg = 0x20;
-}
 
-void uart0_tx(char c)
-{
-	crd_u0c0=0;
-	crs_u0c0=0;
-	te_u0c1=1;
-	ti_u0c1=0; 
-    if(cts0
-}
-	
-	
-char uart0_rx(void)
-{
-	re_u1c1=0;
-	ri_u1c1=1;
-}
\ No newline at end of file
Index: branch/mbaye/sp4c12/sp4c12/sp4c12.c
===================================================================
--- branch/mbaye/sp4c12/sp4c12/sp4c12.c	(revision 816)
+++ branch/mbaye/sp4c12/sp4c12/sp4c12.c	(revision 817)
@@ -8,8 +8,49 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
+#include "sfr32c87.h"
+//Fonction assurant l’initialisation du port série
+void uart0_init (void)
+    {
+        
+		smd0_u0mr = 1; 
+		smd1_u0mr = 0; 
+		smd2_u0mr = 1;
+		u0brg = 0x20; 
+		u0c0 = 0x11;
+        u0c1 = 0x05;
+		
+        pd6_1 = 0 ;   
+        pd6_2 = 0;
+        pd6_3 = 1;
+        ps0_1 = 0;
+        ps0_2 = 0;
+        ps0_3 = 1;
+    }
+//Fonction permettant d’envoyer un caractère sur la liaison série.        
+void uart0_tx(char c)
+{
+	while(ti_u0c1 !=1);
+    u0tb=c;
+}
 
+//Fonction permettant la réception d’un caractère sur le port série    
+char uart0_rx(void)
+{
+     while(ri_u0c1!=1);
+     return u0rb;
+}
+
 void main(void)
 {
-	
+    char caract ='A';
+    uart0_init();
+    while(1)
+    {
+		//int i=0;
+		//for (i=0;i<26;i++)
+		//{
+        	uart0_tx(caract);
+		//}
+   	}
 }