Index: branch/Guer/sp4c12/UART_Project/UART_Project/UART_Project.c
===================================================================
--- branch/Guer/sp4c12/UART_Project/UART_Project/UART_Project.c	(revision 819)
+++ branch/Guer/sp4c12/UART_Project/UART_Project/UART_Project.c	(revision 820)
@@ -1,56 +1,45 @@
-/***********************************************************************/
-/*                                                                     */
-/*  FILE        :UART_Project.c                                        */
-/*  DATE        :Tue, Jun 01, 2021                                     */
-/*  DESCRIPTION :main program file.                                    */
-/*  CPU GROUP   :87B                                                   */
-/*                                                                     */
-/*  This file is generated by Renesas Project Generator (Ver.4.18).    */
-/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
-/***********************************************************************/
-
 #include "sfr32c87.h"
 void uart0_init(void);
 void uart0_tx(char c);
+char uart0_rx(void);
+int rectrame (char *pBuffer);
 
 void main(void)
 {   
+	char c,Buffer[200],nb_cara=0,i;
 	uart0_init();
+
 	
 	while(1)
 	{      
+		//uart0_tx('A');
+		//c=uart0_rx();
+		
+		nb_cara=rectrame(&Buffer[0]);
+		
+		for(i=0;i<nb_cara;i++)
+		{
+			uart0_tx(Buffer[i]);
+		}
 		uart0_tx('A');
 	}
 }
 
-//**************************************************
+//*****************************************************************
 
 void uart0_init(void)
-{
+{	
 	u0mr=0x05;
+	u0c0=0x11; //transmet sur front descendant, recoit sur montant, MSB first
+	u0brg=32; //4800 Baud avec fj=f8, 20Mhz/8
+	u0c1=0x05; //
 	
-	u0smr=0x00;
-	u0smr2=0x00;
-	u0smr3=0x00;
-	u0smr4=0x00;
-	
-	u0c0=0x11; //transmet sur front montant, recoit sur descendant
-	u0brg=25; //4800 Baud avec fj=f8, 20Mhz/8
-	
-	u0c1=0x18;
-	
-	s0tic=0x00; //desactive les interruptions
-	s0ric=0x00; 
-	
-	u0c1=0x15; //reactive l'envoie et la reception de données
-	
 	pd6_2=0; //on touche pas à au autre broche de p6 sinon bug (uart1)
 	pd6_3=1;
 
-	psl0=0x08;
+	psl0=0x00;
 	ps0_3=1;
 	ps0_2=0;
-	
 }
 
 //-------------------------------------------------------------------
@@ -57,13 +46,40 @@
 
 void uart0_tx(char c)
 {
-	//u0tb=(c>>8)&(0x0F);
-	u0tb=0x41;
+	u0tb=c;
 }
 
+char uart0_rx(void)
+{
+	char c,f;
+	
+	while(ri_u0c1!=1);
+	c=u0rb;
+	
+	return c;
+}
 
+int rectrame (char *pBuffer)
+{
+	int i=0;
+	char tampon;
+	
+	while(uart0_rx()!= '$');
+	
+	tampon=uart0_rx();
+	
+	while(tampon!='*')
+	{
+		*(pBuffer+i) = tampon;
+		i++;
+		tampon=uart0_rx();
+	}
+	
+	return i;
+}
 
 
 
 
 
+
Index: branch/Guer/sp4c12/UART_Project/UART_Project/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/Guer/sp4c12/UART_Project/UART_Project/SessionM32C_E8a_SYSTEM.hsf	(revision 819)
+++ branch/Guer/sp4c12/UART_Project/UART_Project/SessionM32C_E8a_SYSTEM.hsf	(revision 820)
@@ -45,7 +45,7 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
@@ -52,13 +52,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE034E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000608" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A00" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000084" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -75,10 +75,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "000000000000062E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000060A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -110,7 +110,13 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "p10, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "1" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "c, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "f, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "Buffer, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Global," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "150" 
@@ -532,7 +538,7 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp434" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp435" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp436" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp437" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp437" "1" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp438" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp439" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp44" "0" 
@@ -595,8 +601,8 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp491" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp492" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp493" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp494" "1" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp495" "1" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp494" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp495" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp496" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp497" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp498" "0" 
@@ -608,8 +614,8 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp502" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp503" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp504" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp505" "1" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp506" "1" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp505" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp506" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp507" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp508" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp509" "0" 
@@ -699,7 +705,7 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp98" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp99" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollHorz" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "504" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "436" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth0" "200" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth1" "100" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth2" "100" 
@@ -721,7 +727,7 @@
 "{WK_00000001_IO}UART_ProjectSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 2 "0.28" 205 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.47" 205 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_WATCH}UART_ProjectSessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.25" 205 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
-"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 534 287 350 200 18 0 "" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 213 534 287 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
Index: branch/Guer/sp4c12/UART_Project/UART_Project.hws
===================================================================
--- branch/Guer/sp4c12/UART_Project/UART_Project.hws	(revision 819)
+++ branch/Guer/sp4c12/UART_Project/UART_Project.hws	(revision 820)
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]