Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/DefaultSession.hsf
===================================================================
--- branch/lameynardie/sp4c12/SP4c1/SP4c1/DefaultSession.hsf	(revision 820)
+++ branch/lameynardie/sp4c12/SP4c1/SP4c1/DefaultSession.hsf	(revision 821)
@@ -15,7 +15,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
@@ -23,7 +25,7 @@
 [LANGUAGE]
 "English" 
 [CONFIG_INFO_VD1]
-1 
+0 
 [CONFIG_INFO_VD2]
 0 
 [CONFIG_INFO_VD3]
@@ -32,6 +34,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.20" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 180 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 534 287 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -51,7 +54,6 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"C:\Users\malameynar\Documents\TP_SP4\sp4c12\SP4c1\SP4c1\SP4c1.c" 
 [TARGET_NAME]
 "" "" 1853190002 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.ini	(revision 820)
+++ branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.ini	(revision 821)
@@ -18,6 +18,8 @@
 PROCESSOR_MODE=0
 [COMMUNI]
 COMSPEED=8
+COMSPEED PROGRAM FLASH=8
+COMSPEED DATA FLASH=8
 [Driver Configuration]
 Renesas Communications=USB interface,0,
 [Target]
Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.hsf	(revision 820)
+++ branch/lameynardie/sp4c12/SP4c1/SP4c1/SessionM32C_E8a_SYSTEM.hsf	(revision 821)
@@ -22,7 +22,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
@@ -52,13 +54,13 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000C400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000400" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FE0310" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFFD00" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000006FC" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000A00" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000084" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -75,10 +77,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000FE0000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000020000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000400" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -654,7 +656,7 @@
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp98" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0Exp99" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollHorz" "0" 
-"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "287" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd0ScrollVert" "0" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth0" "200" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth1" "100" 
 "{F866DB60-6186-11D5-8BBE-0004E2013C71}IOWnd1ColWidth2" "100" 
@@ -664,7 +666,7 @@
 [LANGUAGE]
 "English" 
 [CONFIG_INFO_VD1]
-1 
+0 
 [CONFIG_INFO_VD2]
 0 
 [CONFIG_INFO_VD3]
@@ -673,8 +675,9 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_IO}SP4c1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 282 1600 -254 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "0.50" 282 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.33" 282 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_IO}SP4c1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 282 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 282 534 287 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 534 287 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -692,14 +695,12 @@
 "{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 [WINDOW_POSITION_STATE_DATA_VD2]
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"C:\Users\malameynar\Documents\TP_SP4\sp4c12\SP4c1\SP4c1\SP4c1.c" 
-"C:\Users\malameynar\Documents\TP_SP4\sp4c12\SP4c1\SP4c1\ncrt0.a30" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -746,7 +747,7 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"c:\users\malameynar\documents\tp_sp4\sp4c12\sp4c1\sp4c1\sp4c1.c" 30 16646898 1 "{00000000-0000-0000-C000-000000000046}" "" 
-"c:\users\malameynar\documents\tp_sp4\sp4c12\sp4c1\sp4c1\sp4c1.c" 42 16646923 1 "{00000000-0000-0000-C000-000000000046}" "" 
-"c:\users\malameynar\documents\tp_sp4\sp4c12\sp4c1\sp4c1\sp4c1.c" 51 16646935 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"D:\tp_sp_lameynardie\sp4c12\SP4c1\SP4c1\sp4c1.c" 30 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"D:\tp_sp_lameynardie\sp4c12\SP4c1\SP4c1\sp4c1.c" 45 10 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"D:\tp_sp_lameynardie\sp4c12\SP4c1\SP4c1\sp4c1.c" 57 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/ncrt0.a30
===================================================================
--- branch/lameynardie/sp4c12/SP4c1/SP4c1/ncrt0.a30	(revision 820)
+++ branch/lameynardie/sp4c12/SP4c1/SP4c1/ncrt0.a30	(revision 821)
@@ -148,7 +148,7 @@
 ;---------------------------------------------------------------------
 ; after reset,this program will start
 ;---------------------------------------------------------------------
-	ldc	#istack_top,	isp	;set istack pointer
+;	ldc	#istack_top,	isp	;set istack pointer
 	mov.b	#02h,0ah
 	mov.b	#00h,04h		;set processer mode 
 	mov.b	#00h,0ah
Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/SP4c1.c
===================================================================
--- branch/lameynardie/sp4c12/SP4c1/SP4c1/SP4c1.c	(revision 820)
+++ branch/lameynardie/sp4c12/SP4c1/SP4c1/SP4c1.c	(revision 821)
@@ -1,3 +1,5 @@
+
+
 /***********************************************************************/
 /*                                                                     */
 /*  FILE        :SP4c1.c                                               */
@@ -8,46 +10,89 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
+
 #include "sfr32c87.h"
+void uart0_init(void){
+	u0mr=0x05;
 
-void main(void)
-{
+	u0smr=0x00;
+	u0smr2=0x00;
+	u0smr3=0x00;
+	u0smr4=0x00;
+	
+	u0c0=0b00010000;
 
-//ini
-/*
-PS0=0x0;
-PS0_3=1;
-PSL0_3=0;
-*/
-u0mr=0b00100101;
+	u0brg=0xFF;
 
-u0smr=0x00;
-u0smr2=0x00;
-u0smr3=0x00;
-u0smr4=0x00;
+	u0c1=0x0A;
+	
+	s0tic=0x00;
+	s0ric=0x00;
 
+	pd6_3=1;
+	pd6_1=0;
+	pd6_2=0;
 
-u0c0=0b10011100;
+	ps0_1=1;
+	ps0_2=0; 
+	ps0_3=1;
+	
+	u0c1=0x0F;
 
-u0brg=0xFF;
+}
 
-u0c1=0b00101001;
+void uart0_tx(char c){
+	u0tb=c;
+	while(ti_u0c1!=1){}
+}
 
-s0tic=0x00;
-s0ric=0x00;
+char uart0_rx(){
 
+	while(ri_u0c1!=1){}
+	return(u0rb);
+}
 
-pd6=0x00;
-pd6_3=1;
-ps0=0b0100101001;
 
+int rectrame(char * Buffer){
+	char c;
+	int i;
+	while(uart0_rx()!='$');
+	c=uart0_rx();
+	i=0;
+	while(c!='*'){
+		*(Buffer+i)=c;
+		i++;
+		c=uart0_rx();
+	}
+	return i;
+}
 
 
-u0c1=0b00000011;
+void main(void)
+{
+	int i;
+	int ok; 
+	char trame[80];
+	uart0_init();
 
-//fin ini	
+/*		i=0;
+		while(i<26){
+		
+			uart0_tx('A'+i);
+			i++;
 
-while(1){
-u0tb='gsgg';
+			
+		}
+*/
+/*	while(1){
+		uart0_tx(uart0_rx()+1);
+	}
+*/	
+	
+	ok=rectrame(trame);
+	for(i=0;i<ok;i++){
+		
+		uart0_tx(trame[i]);
+	}
+	
 }
-}
Index: branch/lameynardie/sp4c12/SP4c1/SP4c1/uart0.c
===================================================================